Author: nferraro
Date: Mon Jun 10 08:35:09 2019
New Revision: 34468

Log:
Adding missing signatures

Added:
    dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-linux-64bit.tar.gz.asc   (with 
props)
    dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-linux-64bit.tar.gz.sha512
    dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-mac-64bit.tar.gz.asc   (with 
props)
    dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-mac-64bit.tar.gz.sha512
    dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-windows-64bit.tar.gz.asc   
(with props)
    dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-windows-64bit.tar.gz.sha512
    dev/camel/camel-k/sign.sh   (with props)

Added: dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-linux-64bit.tar.gz.asc
==============================================================================
Binary file - no diff available.

Propchange: dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-linux-64bit.tar.gz.asc
------------------------------------------------------------------------------
    svn:mime-type = application/pgp-signature

Added: dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-linux-64bit.tar.gz.sha512
==============================================================================
--- dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-linux-64bit.tar.gz.sha512 
(added)
+++ dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-linux-64bit.tar.gz.sha512 Mon 
Jun 10 08:35:09 2019
@@ -0,0 +1 @@
+241c7ce6afe3f329acccb78a2ecb1390b793d7979ac7db3c929772703998a7d3b9c10827cce3ac6858878eb8eecdd64af9cffbf0d44b8f60e2ffe29dfbe2637f
 *camel-k-client-0.3.4-linux-64bit.tar.gz

Added: dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-mac-64bit.tar.gz.asc
==============================================================================
Binary file - no diff available.

Propchange: dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-mac-64bit.tar.gz.asc
------------------------------------------------------------------------------
    svn:mime-type = application/pgp-signature

Added: dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-mac-64bit.tar.gz.sha512
==============================================================================
--- dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-mac-64bit.tar.gz.sha512 (added)
+++ dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-mac-64bit.tar.gz.sha512 Mon 
Jun 10 08:35:09 2019
@@ -0,0 +1 @@
+494ac822e17956f68e3d8fb1010cc11ec33572abdca9f4cba9752824a0768ff80c8be8a4b3e940357b4f860954cbe50449de3e20aefe963a77502a42b09dd698
 *camel-k-client-0.3.4-mac-64bit.tar.gz

Added: dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-windows-64bit.tar.gz.asc
==============================================================================
Binary file - no diff available.

Propchange: 
dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-windows-64bit.tar.gz.asc
------------------------------------------------------------------------------
    svn:mime-type = application/pgp-signature

Added: dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-windows-64bit.tar.gz.sha512
==============================================================================
--- dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-windows-64bit.tar.gz.sha512 
(added)
+++ dev/camel/camel-k/0.3.4/camel-k-client-0.3.4-windows-64bit.tar.gz.sha512 
Mon Jun 10 08:35:09 2019
@@ -0,0 +1 @@
+8a2ba24d47b0b02b461aa6d06e7eab979a7b2b855d8fd6893a47e01b85ee8eb82ff4e1c88911e69f86676820821549dd73ead5d5669d40d277a5b3984a35de94
 *camel-k-client-0.3.4-windows-64bit.tar.gz

Added: dev/camel/camel-k/sign.sh
==============================================================================
--- dev/camel/camel-k/sign.sh (added)
+++ dev/camel/camel-k/sign.sh Mon Jun 10 08:35:09 2019
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# This is a utility script to sign and sha512 all files in the given directory.
+
+if [ "$#" -ne 2 ]; then
+    echo "usage: $0 dir gpg_pass"
+    exit 1
+fi
+
+dir=$1
+gpg_pass=$2
+
+pushd . && cd $dir
+
+for f in $(ls | grep -e ".*tar.gz$");
+do
+    sha512sum -b $f > $f.sha512
+    gpg --output $f.asc --armor --detach-sig --passphrase $gpg_pass $f
+done
+
+popd

Propchange: dev/camel/camel-k/sign.sh
------------------------------------------------------------------------------
    svn:executable = *


Reply via email to